[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Building glibc 2.5 on Hurd: GCC

Thomas Schwinge a écrit :
> Hello!
> Needed because of GCC changes.  Not everything is ready for upstream
> inclusion.
> This is no proper fix, but a workaround to not make argp-enabled programs
> segfault on ``PROGRAM --help'' when glibc is build with GCC 4.1.
> Reported on
> <http://lists.gnu.org/archive/html/bug-hurd/2006-12/msg00064.html>.

Given that this patch touches some non Hurd parts of the glibc, I prefer
to stick to GCC 4.0 in the Debian package for now.

But I don't know how long this compiler will be available in Debian, so
 a proper patch is welcome.

  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net

Reply to: